org.keycloak.adapters.installed

## Class KeycloakInstalled

- java.lang.Object
- - org.keycloak.adapters.installed.KeycloakInstalled

-     public class KeycloakInstalled
      extends Object

  Author:
    Stian Thorgersen

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `KeycloakInstalled.CallbackListener`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeycloakInstalled()`
    `KeycloakInstalled(InputStream config)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `KeycloakDeployment` | `getDeployment()`
    `IDToken` | `getIdToken()`
    `String` | `getIdTokenString()`
    `String` | `getRefreshToken()`
    `AccessToken` | `getToken()`
    `String` | `getTokenString()`
    `String` | `getTokenString(long minValidity, TimeUnit unit)`
    `boolean` | `isDesktopSupported()`
    `void` | `login()`
    `void` | `login(PrintStream printer, Reader reader)`
    `void` | `loginDesktop()`
    `void` | `loginManual()`
    `void` | `loginManual(PrintStream printer, Reader reader)`
    `void` | `logout()`
    `void` | `refreshToken()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeycloakInstalled

          public KeycloakInstalled()

    - #### KeycloakInstalled

          public KeycloakInstalled(InputStream config)

  - ### Method Detail

    - #### login

          public void login()
                     throws IOException,
                            ServerRequest.HttpFailure,
                            VerificationException,
                            InterruptedException,
                            OAuthErrorException,
                            URISyntaxException

      Throws:
        `IOException`
        `ServerRequest.HttpFailure`
        `VerificationException`
        `InterruptedException`
        `OAuthErrorException`
        `URISyntaxException`

    - #### login

          public void login(PrintStream printer,
                   Reader reader)
                     throws IOException,
                            ServerRequest.HttpFailure,
                            VerificationException,
                            InterruptedException,
                            OAuthErrorException,
                            URISyntaxException

      Throws:
        `IOException`
        `ServerRequest.HttpFailure`
        `VerificationException`
        `InterruptedException`
        `OAuthErrorException`
        `URISyntaxException`

    - #### logout

          public void logout()
                      throws IOException,
                             InterruptedException,
                             URISyntaxException

      Throws:
        `IOException`
        `InterruptedException`
        `URISyntaxException`

    - #### loginDesktop

          public void loginDesktop()
                            throws IOException,
                                   VerificationException,
                                   OAuthErrorException,
                                   URISyntaxException,
                                   ServerRequest.HttpFailure,
                                   InterruptedException

      Throws:
        `IOException`
        `VerificationException`
        `OAuthErrorException`
        `URISyntaxException`
        `ServerRequest.HttpFailure`
        `InterruptedException`

    - #### loginManual

          public void loginManual()
                           throws IOException,
                                  ServerRequest.HttpFailure,
                                  VerificationException

      Throws:
        `IOException`
        `ServerRequest.HttpFailure`
        `VerificationException`

    - #### loginManual

          public void loginManual(PrintStream printer,
                         Reader reader)
                           throws IOException,
                                  ServerRequest.HttpFailure,
                                  VerificationException

      Throws:
        `IOException`
        `ServerRequest.HttpFailure`
        `VerificationException`

    - #### getTokenString

          public String getTokenString()
                                throws VerificationException,
                                       IOException,
                                       ServerRequest.HttpFailure

      Throws:
        `VerificationException`
        `IOException`
        `ServerRequest.HttpFailure`

    - #### getTokenString

          public String getTokenString(long minValidity,
                              TimeUnit unit)
                                throws VerificationException,
                                       IOException,
                                       ServerRequest.HttpFailure

      Throws:
        `VerificationException`
        `IOException`
        `ServerRequest.HttpFailure`

    - #### refreshToken

          public void refreshToken()
                            throws IOException,
                                   ServerRequest.HttpFailure,
                                   VerificationException

      Throws:
        `IOException`
        `ServerRequest.HttpFailure`
        `VerificationException`

    - #### getToken

          public AccessToken getToken()

    - #### getIdToken

          public IDToken getIdToken()

    - #### getIdTokenString

          public String getIdTokenString()

    - #### getRefreshToken

          public String getRefreshToken()

    - #### isDesktopSupported

          public boolean isDesktopSupported()

    - #### getDeployment

          public KeycloakDeployment getDeployment()

Copyright © 2014. All Rights Reserved.